<?php
define('NTOP', 1);
$title = 'Админка - Модерация сайтов';
require_once('../system/connect.php');
require_once('../system/core.php');
require_once('../system/function.php');
require_once('../m/head.php');
reg();
level(2);
switch($act)
	{
		default:
		echo '<div class="title2">Модерация сайтов</div>';
		$count = mysqli_num_rows(mysqli_query($mysqli,"SELECT * FROM `".$prefix."sait` WHERE `status` = '0'"));
		if($count > 0)
			{
				$total=intval(($count-1)/$set['page_moderacia'])+1; 
				$page=abs(intval($_GET['page'])); 
				if(empty($page) OR $page < 0)
					{
						$page = 1; 
				}	
				if($page > $total)
					{
						$page = $total; 
					}
				$past=intval($count/$set['page_moderacia']);  
				$start=$page*$set['page_moderacia']-$set['page_moderacia']; 
				$moder = mysqli_query($mysqli,"SELECT * FROM `".$prefix."sait` WHERE `status` = '0' ORDER BY `id` DESC LIMIT ".$start.",".$set['page_moderacia']."");
				while($row = mysqli_fetch_array($moder)) 
					{
						$start++;
						echo '<div class="topni"><span class="o">'.$start.'</span>'.$row['url'].'</div>';
						echo '<div class="main">';
						echo 'URL: <a href="http://'.$row['url'].'">http://'.$row['url'].'</a><hr>';
						echo 'Описание: ';
						echo $row['about'].'<br/>';
						echo '</div>';
						echo '<div class="topni">';
						echo '<a href="/adm_panel/moderacia.php?act=activate&id='.$row['id'].'">[Активировать]</a> :: ';
						echo '<a href="/adm_panel/moderacia.php?act=delete&id='.$row['id'].'">[Удалить]</a><br/>';
						echo '</div>';
					}
				navigation($count,$set['page_moderacia'],$page,'/adm_panel/moderacia.php?',$total);
			}
		else
			{
				echo '<div class="main">';
				echo 'Сайтов на модерации нет!<br/>';
				echo '</div>';
			}
		break;
		case 'activate':
		echo '<div class="title2">Модерация сайтов</div>';
		$up = mysqli_query($mysqli,"UPDATE `".$prefix."sait` SET  `status` = '1' WHERE `id` = '".$id."'");
		if($up)
			{
				echo '<div class="main">';
				echo 'Сайт успешно активирован<br/>';
				echo '</div>';
			}
		else
			{
				echo '<div class="topni">';
				echo 'Сайт не активирован<br/>';
				echo '</div>';
			}
		break;
		case 'delete':
		echo '<div class="title2">Модерация сайтов</div>';
		$del = mysqli_query($mysqli,"DELETE FROM `".$prefix."sait` WHERE `id` = '".$id."'");
		if($del)
			{
				echo '<div class="main">';
				echo 'Сайт успешно удален<br/>';
				echo '</div>';
			}
		else
			{
				echo '<div class="topni">';
				echo 'Сайт не удален<br/>';
				echo '</div>';
			}
		break;
	}

echo '<div class="main">';
echo '<a href="/adm_panel/moderacia.php">К модерации сайтов</a><br/>';
echo '<a href="/adm_panel/index.php">В Админку</a><br/>';
echo '</div>';

require_once('../m/foot.php');
?>